From 2a6523b9f132c51ce94bef9a90f58a1c2047dbbc Mon Sep 17 00:00:00 2001
From: Nicola Clark <nicola@slottedspoon.dev>
Date: Fri, 28 Feb 2025 10:53:21 -0600
Subject: [PATCH] [LICENSE] relicense project under MPL 2.0

relicensed due to GitHub's Copilot push. details in README.md.
---
 Dockerfile                           |   4 +
 LICENSE                              | 386 +++++++++++++++++++++++++--
 LICENSE.up-to-ea30f9                 |  21 ++
 README.md                            |  20 ++
 package-lock.json                    |   1 +
 package.json                         |   1 +
 playwright.config.ts                 |   6 +
 src/app.d.ts                         |   6 +
 src/app.html                         |   5 +
 src/app.less                         |   6 +
 src/index.test.ts                    |   6 +
 src/lib/components/code-input.svelte |   6 +
 src/lib/components/editor.svelte     |   6 +
 src/lib/components/headline.svelte   |   6 +
 src/lib/components/nav-item.svelte   |   6 +
 src/lib/components/nav-toggle.svelte |   6 +
 src/lib/components/nav-tree.svelte   |   6 +
 src/lib/components/preview.svelte    |   6 +
 src/lib/render-preview.ts            |   6 +
 src/lib/stores/nav.ts                |   6 +
 src/routes/+layout.server.ts         |   6 +
 src/routes/+layout.svelte            |   6 +
 src/routes/+page.svelte              |   6 +
 src/routes/attributions/+page.svelte |   6 +
 src/styles.less                      |   6 +
 svelte.config.js                     |   6 +
 tests/desktop.test.ts                |   6 +
 tests/general.test.ts                |   6 +
 tests/mobile.test.ts                 |   6 +
 vite.config.ts                       |   6 +
 30 files changed, 559 insertions(+), 17 deletions(-)
 create mode 100644 LICENSE.up-to-ea30f9

diff --git a/Dockerfile b/Dockerfile
index 628e922..2bf135d 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,3 +1,7 @@
+# This Source Code Form is subject to the terms of the Mozilla Public License,
+# v. 2.0. If a copy of the MPL was not distributed with this file, You can
+# obtain one at https://mozilla.org/MPL/2.0/.
+
 FROM node:22.11.0-bookworm-slim AS builder
 WORKDIR /app
 COPY . .
diff --git a/LICENSE b/LICENSE
index aca11f5..d0a1fa1 100644
--- a/LICENSE
+++ b/LICENSE
@@ -1,21 +1,373 @@
-MIT License
+Mozilla Public License Version 2.0
+==================================
 
-Copyright (c) 2024 Nicola Clark
+1. Definitions
+--------------
 
-Permission is hereby granted, free of charge, to any person obtaining a copy
-of this software and associated documentation files (the "Software"), to deal
-in the Software without restriction, including without limitation the rights
-to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-copies of the Software, and to permit persons to whom the Software is
-furnished to do so, subject to the following conditions:
+1.1. "Contributor"
+    means each individual or legal entity that creates, contributes to
+    the creation of, or owns Covered Software.
 
-The above copyright notice and this permission notice shall be included in all
-copies or substantial portions of the Software.
+1.2. "Contributor Version"
+    means the combination of the Contributions of others (if any) used
+    by a Contributor and that particular Contributor's Contribution.
 
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
-SOFTWARE.
+1.3. "Contribution"
+    means Covered Software of a particular Contributor.
+
+1.4. "Covered Software"
+    means Source Code Form to which the initial Contributor has attached
+    the notice in Exhibit A, the Executable Form of such Source Code
+    Form, and Modifications of such Source Code Form, in each case
+    including portions thereof.
+
+1.5. "Incompatible With Secondary Licenses"
+    means
+
+    (a) that the initial Contributor has attached the notice described
+        in Exhibit B to the Covered Software; or
+
+    (b) that the Covered Software was made available under the terms of
+        version 1.1 or earlier of the License, but not also under the
+        terms of a Secondary License.
+
+1.6. "Executable Form"
+    means any form of the work other than Source Code Form.
+
+1.7. "Larger Work"
+    means a work that combines Covered Software with other material, in
+    a separate file or files, that is not Covered Software.
+
+1.8. "License"
+    means this document.
+
+1.9. "Licensable"
+    means having the right to grant, to the maximum extent possible,
+    whether at the time of the initial grant or subsequently, any and
+    all of the rights conveyed by this License.
+
+1.10. "Modifications"
+    means any of the following:
+
+    (a) any file in Source Code Form that results from an addition to,
+        deletion from, or modification of the contents of Covered
+        Software; or
+
+    (b) any new file in Source Code Form that contains any Covered
+        Software.
+
+1.11. "Patent Claims" of a Contributor
+    means any patent claim(s), including without limitation, method,
+    process, and apparatus claims, in any patent Licensable by such
+    Contributor that would be infringed, but for the grant of the
+    License, by the making, using, selling, offering for sale, having
+    made, import, or transfer of either its Contributions or its
+    Contributor Version.
+
+1.12. "Secondary License"
+    means either the GNU General Public License, Version 2.0, the GNU
+    Lesser General Public License, Version 2.1, the GNU Affero General
+    Public License, Version 3.0, or any later versions of those
+    licenses.
+
+1.13. "Source Code Form"
+    means the form of the work preferred for making modifications.
+
+1.14. "You" (or "Your")
+    means an individual or a legal entity exercising rights under this
+    License. For legal entities, "You" includes any entity that
+    controls, is controlled by, or is under common control with You. For
+    purposes of this definition, "control" means (a) the power, direct
+    or indirect, to cause the direction or management of such entity,
+    whether by contract or otherwise, or (b) ownership of more than
+    fifty percent (50%) of the outstanding shares or beneficial
+    ownership of such entity.
+
+2. License Grants and Conditions
+--------------------------------
+
+2.1. Grants
+
+Each Contributor hereby grants You a world-wide, royalty-free,
+non-exclusive license:
+
+(a) under intellectual property rights (other than patent or trademark)
+    Licensable by such Contributor to use, reproduce, make available,
+    modify, display, perform, distribute, and otherwise exploit its
+    Contributions, either on an unmodified basis, with Modifications, or
+    as part of a Larger Work; and
+
+(b) under Patent Claims of such Contributor to make, use, sell, offer
+    for sale, have made, import, and otherwise transfer either its
+    Contributions or its Contributor Version.
+
+2.2. Effective Date
+
+The licenses granted in Section 2.1 with respect to any Contribution
+become effective for each Contribution on the date the Contributor first
+distributes such Contribution.
+
+2.3. Limitations on Grant Scope
+
+The licenses granted in this Section 2 are the only rights granted under
+this License. No additional rights or licenses will be implied from the
+distribution or licensing of Covered Software under this License.
+Notwithstanding Section 2.1(b) above, no patent license is granted by a
+Contributor:
+
+(a) for any code that a Contributor has removed from Covered Software;
+    or
+
+(b) for infringements caused by: (i) Your and any other third party's
+    modifications of Covered Software, or (ii) the combination of its
+    Contributions with other software (except as part of its Contributor
+    Version); or
+
+(c) under Patent Claims infringed by Covered Software in the absence of
+    its Contributions.
+
+This License does not grant any rights in the trademarks, service marks,
+or logos of any Contributor (except as may be necessary to comply with
+the notice requirements in Section 3.4).
+
+2.4. Subsequent Licenses
+
+No Contributor makes additional grants as a result of Your choice to
+distribute the Covered Software under a subsequent version of this
+License (see Section 10.2) or under the terms of a Secondary License (if
+permitted under the terms of Section 3.3).
+
+2.5. Representation
+
+Each Contributor represents that the Contributor believes its
+Contributions are its original creation(s) or it has sufficient rights
+to grant the rights to its Contributions conveyed by this License.
+
+2.6. Fair Use
+
+This License is not intended to limit any rights You have under
+applicable copyright doctrines of fair use, fair dealing, or other
+equivalents.
+
+2.7. Conditions
+
+Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted
+in Section 2.1.
+
+3. Responsibilities
+-------------------
+
+3.1. Distribution of Source Form
+
+All distribution of Covered Software in Source Code Form, including any
+Modifications that You create or to which You contribute, must be under
+the terms of this License. You must inform recipients that the Source
+Code Form of the Covered Software is governed by the terms of this
+License, and how they can obtain a copy of this License. You may not
+attempt to alter or restrict the recipients' rights in the Source Code
+Form.
+
+3.2. Distribution of Executable Form
+
+If You distribute Covered Software in Executable Form then:
+
+(a) such Covered Software must also be made available in Source Code
+    Form, as described in Section 3.1, and You must inform recipients of
+    the Executable Form how they can obtain a copy of such Source Code
+    Form by reasonable means in a timely manner, at a charge no more
+    than the cost of distribution to the recipient; and
+
+(b) You may distribute such Executable Form under the terms of this
+    License, or sublicense it under different terms, provided that the
+    license for the Executable Form does not attempt to limit or alter
+    the recipients' rights in the Source Code Form under this License.
+
+3.3. Distribution of a Larger Work
+
+You may create and distribute a Larger Work under terms of Your choice,
+provided that You also comply with the requirements of this License for
+the Covered Software. If the Larger Work is a combination of Covered
+Software with a work governed by one or more Secondary Licenses, and the
+Covered Software is not Incompatible With Secondary Licenses, this
+License permits You to additionally distribute such Covered Software
+under the terms of such Secondary License(s), so that the recipient of
+the Larger Work may, at their option, further distribute the Covered
+Software under the terms of either this License or such Secondary
+License(s).
+
+3.4. Notices
+
+You may not remove or alter the substance of any license notices
+(including copyright notices, patent notices, disclaimers of warranty,
+or limitations of liability) contained within the Source Code Form of
+the Covered Software, except that You may alter any license notices to
+the extent required to remedy known factual inaccuracies.
+
+3.5. Application of Additional Terms
+
+You may choose to offer, and to charge a fee for, warranty, support,
+indemnity or liability obligations to one or more recipients of Covered
+Software. However, You may do so only on Your own behalf, and not on
+behalf of any Contributor. You must make it absolutely clear that any
+such warranty, support, indemnity, or liability obligation is offered by
+You alone, and You hereby agree to indemnify every Contributor for any
+liability incurred by such Contributor as a result of warranty, support,
+indemnity or liability terms You offer. You may include additional
+disclaimers of warranty and limitations of liability specific to any
+jurisdiction.
+
+4. Inability to Comply Due to Statute or Regulation
+---------------------------------------------------
+
+If it is impossible for You to comply with any of the terms of this
+License with respect to some or all of the Covered Software due to
+statute, judicial order, or regulation then You must: (a) comply with
+the terms of this License to the maximum extent possible; and (b)
+describe the limitations and the code they affect. Such description must
+be placed in a text file included with all distributions of the Covered
+Software under this License. Except to the extent prohibited by statute
+or regulation, such description must be sufficiently detailed for a
+recipient of ordinary skill to be able to understand it.
+
+5. Termination
+--------------
+
+5.1. The rights granted under this License will terminate automatically
+if You fail to comply with any of its terms. However, if You become
+compliant, then the rights granted under this License from a particular
+Contributor are reinstated (a) provisionally, unless and until such
+Contributor explicitly and finally terminates Your grants, and (b) on an
+ongoing basis, if such Contributor fails to notify You of the
+non-compliance by some reasonable means prior to 60 days after You have
+come back into compliance. Moreover, Your grants from a particular
+Contributor are reinstated on an ongoing basis if such Contributor
+notifies You of the non-compliance by some reasonable means, this is the
+first time You have received notice of non-compliance with this License
+from such Contributor, and You become compliant prior to 30 days after
+Your receipt of the notice.
+
+5.2. If You initiate litigation against any entity by asserting a patent
+infringement claim (excluding declaratory judgment actions,
+counter-claims, and cross-claims) alleging that a Contributor Version
+directly or indirectly infringes any patent, then the rights granted to
+You by any and all Contributors for the Covered Software under Section
+2.1 of this License shall terminate.
+
+5.3. In the event of termination under Sections 5.1 or 5.2 above, all
+end user license agreements (excluding distributors and resellers) which
+have been validly granted by You or Your distributors under this License
+prior to termination shall survive termination.
+
+************************************************************************
+*                                                                      *
+*  6. Disclaimer of Warranty                                           *
+*  -------------------------                                           *
+*                                                                      *
+*  Covered Software is provided under this License on an "as is"       *
+*  basis, without warranty of any kind, either expressed, implied, or  *
+*  statutory, including, without limitation, warranties that the       *
+*  Covered Software is free of defects, merchantable, fit for a        *
+*  particular purpose or non-infringing. The entire risk as to the     *
+*  quality and performance of the Covered Software is with You.        *
+*  Should any Covered Software prove defective in any respect, You     *
+*  (not any Contributor) assume the cost of any necessary servicing,   *
+*  repair, or correction. This disclaimer of warranty constitutes an   *
+*  essential part of this License. No use of any Covered Software is   *
+*  authorized under this License except under this disclaimer.         *
+*                                                                      *
+************************************************************************
+
+************************************************************************
+*                                                                      *
+*  7. Limitation of Liability                                          *
+*  --------------------------                                          *
+*                                                                      *
+*  Under no circumstances and under no legal theory, whether tort      *
+*  (including negligence), contract, or otherwise, shall any           *
+*  Contributor, or anyone who distributes Covered Software as          *
+*  permitted above, be liable to You for any direct, indirect,         *
+*  special, incidental, or consequential damages of any character      *
+*  including, without limitation, damages for lost profits, loss of    *
+*  goodwill, work stoppage, computer failure or malfunction, or any    *
+*  and all other commercial damages or losses, even if such party      *
+*  shall have been informed of the possibility of such damages. This   *
+*  limitation of liability shall not apply to liability for death or   *
+*  personal injury resulting from such party's negligence to the       *
+*  extent applicable law prohibits such limitation. Some               *
+*  jurisdictions do not allow the exclusion or limitation of           *
+*  incidental or consequential damages, so this exclusion and          *
+*  limitation may not apply to You.                                    *
+*                                                                      *
+************************************************************************
+
+8. Litigation
+-------------
+
+Any litigation relating to this License may be brought only in the
+courts of a jurisdiction where the defendant maintains its principal
+place of business and such litigation shall be governed by laws of that
+jurisdiction, without reference to its conflict-of-law provisions.
+Nothing in this Section shall prevent a party's ability to bring
+cross-claims or counter-claims.
+
+9. Miscellaneous
+----------------
+
+This License represents the complete agreement concerning the subject
+matter hereof. If any provision of this License is held to be
+unenforceable, such provision shall be reformed only to the extent
+necessary to make it enforceable. Any law or regulation which provides
+that the language of a contract shall be construed against the drafter
+shall not be used to construe this License against a Contributor.
+
+10. Versions of the License
+---------------------------
+
+10.1. New Versions
+
+Mozilla Foundation is the license steward. Except as provided in Section
+10.3, no one other than the license steward has the right to modify or
+publish new versions of this License. Each version will be given a
+distinguishing version number.
+
+10.2. Effect of New Versions
+
+You may distribute the Covered Software under the terms of the version
+of the License under which You originally received the Covered Software,
+or under the terms of any subsequent version published by the license
+steward.
+
+10.3. Modified Versions
+
+If you create software not governed by this License, and you want to
+create a new license for such software, you may create and use a
+modified version of this License if you rename the license and remove
+any references to the name of the license steward (except to note that
+such modified license differs from this License).
+
+10.4. Distributing Source Code Form that is Incompatible With Secondary
+Licenses
+
+If You choose to distribute Source Code Form that is Incompatible With
+Secondary Licenses under the terms of this version of the License, the
+notice described in Exhibit B of this License must be attached.
+
+Exhibit A - Source Code Form License Notice
+-------------------------------------------
+
+  This Source Code Form is subject to the terms of the Mozilla Public
+  License, v. 2.0. If a copy of the MPL was not distributed with this
+  file, You can obtain one at https://mozilla.org/MPL/2.0/.
+
+If it is not possible or desirable to put the notice in a particular
+file, then You may include the notice in a location (such as a LICENSE
+file in a relevant directory) where a recipient would be likely to look
+for such a notice.
+
+You may add additional accurate notices of copyright ownership.
+
+Exhibit B - "Incompatible With Secondary Licenses" Notice
+---------------------------------------------------------
+
+  This Source Code Form is "Incompatible With Secondary Licenses", as
+  defined by the Mozilla Public License, v. 2.0.
diff --git a/LICENSE.up-to-ea30f9 b/LICENSE.up-to-ea30f9
new file mode 100644
index 0000000..aca11f5
--- /dev/null
+++ b/LICENSE.up-to-ea30f9
@@ -0,0 +1,21 @@
+MIT License
+
+Copyright (c) 2024 Nicola Clark
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
diff --git a/README.md b/README.md
index 1532e00..ba3338b 100644
--- a/README.md
+++ b/README.md
@@ -1,3 +1,23 @@
 # resumarkdown
 
 Create a resume with Markdown and CSS
+
+## Previous location
+
+This repository was previously hosted on
+[GitHub](https://github.com/tweakdeveloper/resumarkdown). Due to GitHub's
+expansion of Copilot (see [the License section](#license) for further details),
+it has been moved to this self-hosted repository.
+
+## License
+
+This repository's code was licensed under the terms of
+[the MIT license](LICENSE.up-to-ea30f9) up to and including commit ea30f9. You
+may apply this license's terms to all work that appears in the repository prior
+to this commit ("this commit" referring to the commit immediately following
+ea30f9).
+
+From this commit forward, the code in this repo is licensed under the terms of
+the [Mozilla Public License 2.0](https://mozilla.org/MPL/2.0/). This change was
+made due to GitHub's lack of transparency vis-à-vis Copilot's use of public
+repositories for the purposes of training their LLM.
diff --git a/package-lock.json b/package-lock.json
index b1cf76d..6c88f5c 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -7,6 +7,7 @@
     "": {
       "name": "resumarkdown",
       "version": "0.0.1",
+      "license": "MPL-2.0",
       "dependencies": {
         "hast": "^0.0.2",
         "hastscript": "^9.0.0",
diff --git a/package.json b/package.json
index 902d2cf..98d9181 100644
--- a/package.json
+++ b/package.json
@@ -2,6 +2,7 @@
   "name": "resumarkdown",
   "version": "0.0.1",
   "private": true,
+  "license": "MPL-2.0",
   "scripts": {
     "dev": "vite dev --host",
     "build": "vite build",
diff --git a/playwright.config.ts b/playwright.config.ts
index 6467509..7ac58b7 100644
--- a/playwright.config.ts
+++ b/playwright.config.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import type { PlaywrightTestConfig } from '@playwright/test';
 
 const config: PlaywrightTestConfig = {
diff --git a/src/app.d.ts b/src/app.d.ts
index ede601a..4977b0a 100644
--- a/src/app.d.ts
+++ b/src/app.d.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 // See https://kit.svelte.dev/docs/types#app
 // for information about these interfaces
 declare global {
diff --git a/src/app.html b/src/app.html
index 84ffad1..211acd7 100644
--- a/src/app.html
+++ b/src/app.html
@@ -1,4 +1,9 @@
 <!doctype html>
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
 <html lang="en">
   <head>
     <meta charset="utf-8" />
diff --git a/src/app.less b/src/app.less
index 8b0868b..5e2cf5f 100644
--- a/src/app.less
+++ b/src/app.less
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 @import 'styles.less';
 
 @import (css) url('https://fonts.googleapis.com/css2?family=Rubik:wght@400..700&display=swap');
diff --git a/src/index.test.ts b/src/index.test.ts
index 964d287..0f0cdd0 100644
--- a/src/index.test.ts
+++ b/src/index.test.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { describe, it, expect } from 'vitest';
 
 describe('sum test', () => {
diff --git a/src/lib/components/code-input.svelte b/src/lib/components/code-input.svelte
index 85457c4..2c365d5 100644
--- a/src/lib/components/code-input.svelte
+++ b/src/lib/components/code-input.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   interface Props {
     code: string;
diff --git a/src/lib/components/editor.svelte b/src/lib/components/editor.svelte
index dc7f73f..8541a32 100644
--- a/src/lib/components/editor.svelte
+++ b/src/lib/components/editor.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { type Snippet } from 'svelte';
 
diff --git a/src/lib/components/headline.svelte b/src/lib/components/headline.svelte
index ec97747..9364143 100644
--- a/src/lib/components/headline.svelte
+++ b/src/lib/components/headline.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { type Snippet } from 'svelte';
 
diff --git a/src/lib/components/nav-item.svelte b/src/lib/components/nav-item.svelte
index f1eaa36..c1f1a10 100644
--- a/src/lib/components/nav-item.svelte
+++ b/src/lib/components/nav-item.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { type Snippet } from 'svelte';
 
diff --git a/src/lib/components/nav-toggle.svelte b/src/lib/components/nav-toggle.svelte
index f7425b6..3ad7799 100644
--- a/src/lib/components/nav-toggle.svelte
+++ b/src/lib/components/nav-toggle.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   interface Props {
     navOpen: boolean;
diff --git a/src/lib/components/nav-tree.svelte b/src/lib/components/nav-tree.svelte
index 27b5eae..8224f0c 100644
--- a/src/lib/components/nav-tree.svelte
+++ b/src/lib/components/nav-tree.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { type Snippet } from 'svelte';
   import { slide } from 'svelte/transition';
diff --git a/src/lib/components/preview.svelte b/src/lib/components/preview.svelte
index 8181faf..8c7cbd1 100644
--- a/src/lib/components/preview.svelte
+++ b/src/lib/components/preview.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import 'iconify-icon';
 
diff --git a/src/lib/render-preview.ts b/src/lib/render-preview.ts
index 7ac7e9c..8e1d980 100644
--- a/src/lib/render-preview.ts
+++ b/src/lib/render-preview.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { type Element as HastElement, type Root as HastRoot } from 'hast';
 import { h } from 'hastscript';
 import rehypeDocument from 'rehype-document';
diff --git a/src/lib/stores/nav.ts b/src/lib/stores/nav.ts
index 97ee5fa..71f887c 100644
--- a/src/lib/stores/nav.ts
+++ b/src/lib/stores/nav.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { writable } from 'svelte/store';
 
 export type Pane = 'content' | 'style' | 'preview';
diff --git a/src/routes/+layout.server.ts b/src/routes/+layout.server.ts
index d8095d3..f49a61f 100644
--- a/src/routes/+layout.server.ts
+++ b/src/routes/+layout.server.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { type RequestEvent } from '@sveltejs/kit';
 
 import { UAParser } from 'ua-parser-js';
diff --git a/src/routes/+layout.svelte b/src/routes/+layout.svelte
index 176b294..3b56b01 100644
--- a/src/routes/+layout.svelte
+++ b/src/routes/+layout.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { type Snippet } from 'svelte';
 
diff --git a/src/routes/+page.svelte b/src/routes/+page.svelte
index cfcb332..b431ed8 100644
--- a/src/routes/+page.svelte
+++ b/src/routes/+page.svelte
@@ -1,3 +1,9 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
 <script lang="ts">
   import { onMount } from 'svelte';
   import { get } from 'svelte/store';
diff --git a/src/routes/attributions/+page.svelte b/src/routes/attributions/+page.svelte
index e69de29..e4cf9ef 100644
--- a/src/routes/attributions/+page.svelte
+++ b/src/routes/attributions/+page.svelte
@@ -0,0 +1,6 @@
+<!--
+  This Source Code Form is subject to the terms of the Mozilla Public License,
+  v. 2.0. If a copy of the MPL was not distributed with this file, You can
+  obtain one at https://mozilla.org/MPL/2.0/.
+-->
+
diff --git a/src/styles.less b/src/styles.less
index abf3f6e..72d3de9 100644
--- a/src/styles.less
+++ b/src/styles.less
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 // colors
 @color-accent-dark: #a8c3b5;
 @color-accent-light: #558b6e;
diff --git a/svelte.config.js b/svelte.config.js
index 03fa0cc..923de5d 100644
--- a/svelte.config.js
+++ b/svelte.config.js
@@ -1,3 +1,9 @@
+/*                                                                              
+ * This Source Code Form is subject to the terms of the Mozilla Public License, 
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can     
+ * obtain one at https://mozilla.org/MPL/2.0/.                                  
+ */
+
 import adapter from '@sveltejs/adapter-node';
 
 import { sveltePreprocess } from 'svelte-preprocess';
diff --git a/tests/desktop.test.ts b/tests/desktop.test.ts
index 8f620a8..8659b9e 100644
--- a/tests/desktop.test.ts
+++ b/tests/desktop.test.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { expect, test } from '@playwright/test';
 
 test('desktop page has nav tree', async ({ page }) => {
diff --git a/tests/general.test.ts b/tests/general.test.ts
index 3171558..b9d708d 100644
--- a/tests/general.test.ts
+++ b/tests/general.test.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { expect, test } from '@playwright/test';
 
 test('page has headline', async ({ page }) => {
diff --git a/tests/mobile.test.ts b/tests/mobile.test.ts
index 30add37..161c832 100644
--- a/tests/mobile.test.ts
+++ b/tests/mobile.test.ts
@@ -1,3 +1,9 @@
+/*
+ * This Source Code Form is subject to the terms of the Mozilla Public License,
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can
+ * obtain one at https://mozilla.org/MPL/2.0/.
+ */
+
 import { expect, test } from '@playwright/test';
 
 import UserAgent from 'user-agents';
diff --git a/vite.config.ts b/vite.config.ts
index 5edbb38..8c88011 100644
--- a/vite.config.ts
+++ b/vite.config.ts
@@ -1,3 +1,9 @@
+/*                                                                              
+ * This Source Code Form is subject to the terms of the Mozilla Public License, 
+ * v. 2.0. If a copy of the MPL was not distributed with this file, You can     
+ * obtain one at https://mozilla.org/MPL/2.0/.                                  
+ */
+
 import { sveltekit } from '@sveltejs/kit/vite';
 import { defineConfig } from 'vitest/config';
 
